Loading...
Searching...
No Matches
ripemd160.h File Reference

RIPE MD-160 message digest. More...

`#include "mbedtls/private_access.h"`
`#include "mbedtls/build_info.h"`
`#include <stddef.h>`
`#include <stdint.h>`
Include dependency graph for ripemd160.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mbedtls_ripemd160_context
| RIPEMD-160 context structure. More...

## Typedefs

typedef struct mbedtls_ripemd160_context | mbedtls_ripemd160_context
| RIPEMD-160 context structure.

## Functions

void | mbedtls_ripemd160_init (mbedtls_ripemd160_context *ctx)
| Initialize RIPEMD-160 context.
void | mbedtls_ripemd160_free (mbedtls_ripemd160_context *ctx)
| Clear RIPEMD-160 context.
void | mbedtls_ripemd160_clone (mbedtls_ripemd160_context *dst, const mbedtls_ripemd160_context *src)
| Clone (the state of) a RIPEMD-160 context.
int | mbedtls_ripemd160_starts (mbedtls_ripemd160_context *ctx)
| RIPEMD-160 context setup.
int | mbedtls_ripemd160_update (mbedtls_ripemd160_context *ctx, const unsigned char *input, size_t ilen)
| RIPEMD-160 process buffer.
int | mbedtls_ripemd160_finish (mbedtls_ripemd160_context *ctx, unsigned char output[20])
| RIPEMD-160 final digest.
int | mbedtls_internal_ripemd160_process (mbedtls_ripemd160_context *ctx, const unsigned char data[64])
| RIPEMD-160 process data block (internal use only)
int | mbedtls_ripemd160 (const unsigned char *input, size_t ilen, unsigned char output[20])
| Output = RIPEMD-160( input buffer )
int | mbedtls_ripemd160_self_test (int verbose)
| Checkup routine.

## Detailed Description

RIPE MD-160 message digest.

Definition in file ripemd160.h.

## Typedef Documentation

## mbedtls_ripemd160_context

typedef struct mbedtls_ripemd160_context mbedtls_ripemd160_context

RIPEMD-160 context structure.

## Function Documentation

## mbedtls_internal_ripemd160_process()

int mbedtls_internal_ripemd160_process | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char | data[64]
| ) |  |

RIPEMD-160 process data block (internal use only)

Parameters

  ctx | RIPEMD-160 context
  data | buffer holding one block of data

Returns
  0 if successful

## mbedtls_ripemd160()

int mbedtls_ripemd160 | ( | const unsigned char * | input,
|  | size_t | ilen,
|  | unsigned char | output[20]
| ) |  |

Output = RIPEMD-160( input buffer )

Parameters

  input | buffer holding the data
  ilen | length of the input data
  output | RIPEMD-160 checksum result

Returns
  0 if successful

## mbedtls_ripemd160_clone()

void mbedtls_ripemd160_clone | ( | mbedtls_ripemd160_context * | dst,
|  | const mbedtls_ripemd160_context * | src
| ) |  |

Clone (the state of) a RIPEMD-160 context.

Parameters

  dst | The destination context
  src | The context to be cloned

## mbedtls_ripemd160_finish()

int mbedtls_ripemd160_finish | ( | mbedtls_ripemd160_context * | ctx,
|  | unsigned char | output[20]
| ) |  |

RIPEMD-160 final digest.

Parameters

  ctx | RIPEMD-160 context
  output | RIPEMD-160 checksum result

Returns
  0 if successful

## mbedtls_ripemd160_free()

void mbedtls_ripemd160_free | ( | mbedtls_ripemd160_context * | ctx | ) |

Clear RIPEMD-160 context.

Parameters

  ctx | RIPEMD-160 context to be cleared

## mbedtls_ripemd160_init()

void mbedtls_ripemd160_init | ( | mbedtls_ripemd160_context * | ctx | ) |

Initialize RIPEMD-160 context.

Parameters

  ctx | RIPEMD-160 context to be initialized

## mbedtls_ripemd160_self_test()

int mbedtls_ripemd160_self_test | ( | int | verbose | ) |

Checkup routine.

Returns
  0 if successful, or 1 if the test failed

## mbedtls_ripemd160_starts()

int mbedtls_ripemd160_starts | ( | mbedtls_ripemd160_context * | ctx | ) |

RIPEMD-160 context setup.

Parameters

  ctx | context to be initialized

Returns
  0 if successful

## mbedtls_ripemd160_update()

int mbedtls_ripemd160_update | ( | mbedtls_ripemd160_context * | ctx,
|  | const unsigned char * | input,
|  | size_t | ilen
| ) |  |

RIPEMD-160 process buffer.

Parameters

  ctx | RIPEMD-160 context
  input | buffer holding the data
  ilen | length of the input data

Returns
  0 if successful